## dune-functions 2.10.0

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file AUTHORS.md
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception OR LGPL-3.0-or-later

cmake_minimum_required(VERSION 3.16)
project(dune-functions CXX)

if(NOT (dune-common_DIR OR dune-common_ROOT OR
        "${CMAKE_PREFIX_PATH}" MATCHES ".*dune-common.*"))
    string(REPLACE  ${CMAKE_PROJECT_NAME} dune-common dune-common_DIR
      ${PROJECT_BINARY_DIR})
endif()

#find dune-common and set the module path
find_package(dune-common REQUIRED)
list(APPEND CMAKE_MODULE_PATH ${dune-common_MODULE_PATH})

#include the dune macros
include(DuneMacros)

# start a dune project with information from dune.module
dune_project()
dune_add_library(dunefunctions INTERFACE
  EXPORT_NAME Functions
  LINK_LIBRARIES ${DUNE_LIBS})

add_subdirectory("dune")
add_subdirectory("doc")
add_subdirectory("examples")

if( DUNE_ENABLE_PYTHONBINDINGS )
  add_subdirectory(python)
endif()


# finalize the dune project, e.g. generating config.h etc.
finalize_dune_project()

=== doc/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file AUTHORS.md
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception OR LGPL-3.0-or-later

add_subdirectory("doxygen")
add_subdirectory("manual")

=== dune/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file AUTHORS.md
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception OR LGPL-3.0-or-later

add_subdirectory(functions)

if( DUNE_ENABLE_PYTHONBINDINGS )
  add_subdirectory("python")
endif()

=== examples/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file AUTHORS.md
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception OR LGPL-3.0-or-later

add_custom_target(build_examples)
add_dependencies(build_tests build_examples)

add_executable("advection-reaction-dg" advection-reaction-dg.cc)
dune_target_enable_all_packages("advection-reaction-dg")
set_property(TARGET advection-reaction-dg PROPERTY EXCLUDE_FROM_ALL 1)
add_dependencies(build_examples advection-reaction-dg)

add_executable("interpolation" interpolation.cc)
dune_target_enable_all_packages("interpolation")
set_property(TARGET interpolation PROPERTY EXCLUDE_FROM_ALL 1)
add_dependencies(build_examples interpolation)

add_executable("poisson-pq2" poisson-pq2.cc)
dune_target_enable_all_packages(poisson-pq2)
set_property(TARGET poisson-pq2 PROPERTY EXCLUDE_FROM_ALL 1)
add_dependencies(build_examples poisson-pq2)

add_executable("stokes-taylorhood" stokes-taylorhood.cc)
dune_target_enable_all_packages("stokes-taylorhood")
set_property(TARGET stokes-taylorhood PROPERTY EXCLUDE_FROM_ALL 1)
add_dependencies(build_examples stokes-taylorhood)

add_executable("poisson-mfem" poisson-mfem.cc)
dune_target_enable_all_packages("poisson-mfem")
set_property(TARGET poisson-mfem PROPERTY EXCLUDE_FROM_ALL 1)
add_dependencies(build_examples poisson-mfem)

=== python/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file AUTHORS.md
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception OR LGPL-3.0-or-later

add_subdirectory(dune)

dune_python_configure_bindings(
  PATH "."
  CMAKE_METADATA_FLAGS DUNE_OPTS_FILE
)

=== doc/doxygen/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file AUTHORS.md
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception OR LGPL-3.0-or-later

# shortcut for creating the Doxyfile.in and Doxyfile
add_doxygen_target()

=== dune/functions/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file AUTHORS.md
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception OR LGPL-3.0-or-later

#install headers

add_subdirectory(analyticfunctions)
add_subdirectory(backends)
add_subdirectory(common)
add_subdirectory(functionspacebases)
add_subdirectory(gridfunctions)

=== dune/python/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file AUTHORS.md
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception OR LGPL-3.0-or-later

add_subdirectory(functions)
add_subdirectory(test)

=== python/dune/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file AUTHORS.md
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception OR LGPL-3.0-or-later

add_subdirectory(functions)

=== dune/functions/analyticfunctions/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file AUTHORS.md
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception OR LGPL-3.0-or-later

add_subdirectory("test")

install(FILES
        polynomial.hh
        trigonometricfunction.hh
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/functions/analyticfunctions)

=== dune/functions/backends/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file AUTHORS.md
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception OR LGPL-3.0-or-later

add_subdirectory("test")

install(FILES
        concepts.hh
        istlvectorbackend.hh
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/functions/backends)

=== dune/functions/common/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file AUTHORS.md
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception OR LGPL-3.0-or-later

add_subdirectory("test")

install(FILES
        defaultderivativetraits.hh
        differentiablefunction.hh
        differentiablefunction_imp.hh
        differentiablefunctionfromcallables.hh
        functionconcepts.hh
        indexaccess.hh
        interfaces.hh
        localfunction.hh
        localfunction_imp.hh
        multiindex.hh
        overflowarray.hh
        polymorphicsmallobject.hh
        reserveddeque.hh
        signature.hh
        staticforloop.hh
        type_traits.hh
        typeerasure.hh
        utility.hh
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/functions/common)

=== debian/changelog ===
dune-functions (2.10.0-2) unstable; urgency=medium

  * d/patches: Cater for 32bit architecture where size_t is unsigned int.

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 18 Nov 2024 23:19:43 +0100

dune-functions (2.10.0-1) unstable; urgency=medium

  * New upstream release 2.10.0
  * Added debian/watch file
  * d/copyright: Added doc/manual to Files-Exluded
  * d/control: Bumped standard version to 4.7.0 (no changes)
  * d/control: Depend on pkgconf instead of deprecated pkgconfig
  * d/patches: Refreshed patches
  * d/control: Depend on DUNE 2.10


 -- Markus Blatt <markus@dr-blatt.de>  Thu, 14 Nov 2024 22:28:03 +0100

dune-functions (2.10~pre20240905-1) experimental; urgency=medium

  * New upstream release (2.10~pre20240905).
  * d/control: Bumped standard version to 4.7.0 (no changes)
  * d/control: Depend on pkgconf instead of deprecated pkgconfig
  * d/patches: Refreshed patches
  * d/control: Depend on DUNE 2.10

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 22 Oct 2024 10:37:10 +0200

=== debian/control ===
Source: dune-functions
Section: libs
Priority: optional
Standards-Version: 4.7.0
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ansgar <ansgar@debian.org>, Markus Blatt <markus@dr-blatt.de>
Vcs-Browser: https://salsa.debian.org/science-team/dune-functions
Vcs-Git: https://salsa.debian.org/science-team/dune-functions.git
Homepage: https://www.dune-project.org/
Build-Depends: debhelper-compat (= 13),
 cmake, gfortran, mpi-default-bin, mpi-default-dev, pkgconf, python3,
 libdune-localfunctions-dev (>= 2.10~),
 libdune-grid-dev (>= 2.10~),
 libdune-istl-dev (>= 2.10~),
 libdune-typetree-dev (>= 2.10~)
Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-extra, texlive-latex-recommended, texlive-pictures
Rules-Requires-Root: no

Package: libdune-functions-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
 libdune-localfunctions-dev (>= 2.10~),
 libdune-grid-dev (>= 2.10~),
 libdune-typetree-dev (>= 2.10~)
Suggests: libdune-functions-doc (= ${source:Version})
Description: toolbox for solving PDEs -- interface for functions (development files)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 dune-functions provides an interface for global finite element functions.
 .
 This package contains the development files.

Package: libdune-functions-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Built-Using: ${dune:doc:Built-Using}
Description: toolbox for solving PDEs -- interface for functions (documentation)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 dune-functions provides an interface for global finite element functions.
 .
 This package contains the documentation.

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/dune/dune-debian.mk

%:
	dh $@ --builddirectory=build --buildsystem=cmake

## dune-functions 2.11.0~git20251211

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,11 +17,20 @@
 #include the dune macros
 include(DuneMacros)
 
+# deactivate global include-directories
+dune_policy(SET DP_DEFAULT_INCLUDE_DIRS NEW)
+
+# deactivate global calls to add_dune_all_flags in tests
+dune_policy(SET DP_TEST_ADD_ALL_FLAGS NEW)
+
 # start a dune project with information from dune.module
 dune_project()
 dune_add_library(dunefunctions INTERFACE
   EXPORT_NAME Functions
   LINK_LIBRARIES ${DUNE_LIBS})
+
+# set include directories for dunefunctions library
+dune_default_include_directories(dunefunctions INTERFACE)
 
 add_subdirectory("dune")
 add_subdirectory("doc")

=== examples/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file AUTHORS.md
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception OR LGPL-3.0-or-later

add_custom_target(build_examples)
add_dependencies(build_tests build_examples)

add_executable("advection-reaction-dg" advection-reaction-dg.cc)
target_link_libraries(advection-reaction-dg PRIVATE Dune::Functions)
set_property(TARGET advection-reaction-dg PROPERTY EXCLUDE_FROM_ALL 1)
add_dependencies(build_examples advection-reaction-dg)

add_executable("interpolation" interpolation.cc)
target_link_libraries(interpolation PRIVATE Dune::Functions)
set_property(TARGET interpolation PROPERTY EXCLUDE_FROM_ALL 1)
add_dependencies(build_examples interpolation)

add_executable("poisson-pq2" poisson-pq2.cc)
target_link_libraries(poisson-pq2 PRIVATE Dune::Functions)
set_property(TARGET poisson-pq2 PROPERTY EXCLUDE_FROM_ALL 1)
add_dependencies(build_examples poisson-pq2)

add_executable("stokes-taylorhood" stokes-taylorhood.cc)
target_link_libraries(stokes-taylorhood PRIVATE Dune::Functions)
set_property(TARGET stokes-taylorhood PROPERTY EXCLUDE_FROM_ALL 1)
add_dependencies(build_examples stokes-taylorhood)

add_executable("poisson-mfem" poisson-mfem.cc)
target_link_libraries(poisson-mfem PRIVATE Dune::Functions)
set_property(TARGET poisson-mfem PROPERTY EXCLUDE_FROM_ALL 1)
add_dependencies(build_examples poisson-mfem)

=== dune/functions/backends/CMakeLists.txt ===
--- 
+++ 
@@ -5,5 +5,7 @@
 
 install(FILES
         concepts.hh
+        containerfactory.hh
         istlvectorbackend.hh
+        istlvectorfactory.hh
         DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/functions/backends)

=== dune/functions/functionspacebases/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file AUTHORS.md
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception OR LGPL-3.0-or-later

add_subdirectory("test")

install(FILES
        basistags.hh
        boundarydofs.hh
        brezzidouglasmarinibasis.hh
        bsplinebasis.hh
        compositebasis.hh
        concepts.hh
        containerdescriptors.hh
        cubichermitebasis.hh
        defaultglobalbasis.hh
        defaultlocalview.hh
        dynamicpowerbasis.hh
        flatmultiindex.hh
        flatvectorview.hh
        functionaldescriptor.hh
        globalvaluedlocalfiniteelement.hh
        hierarchicallagrangebasis.hh
        hierarchicallagrangewithelementbubblebasis.hh
        hierarchicnodetorangemap.hh
        interpolate.hh
        lagrangebasis.hh
        lagrangedgbasis.hh
        leafprebasismappermixin.hh
        leafprebasismixin.hh
        lfeprebasismixin.hh
        morleybasis.hh
        nedelecbasis.hh
        periodicbasis.hh
        powerbasis.hh
        rannacherturekbasis.hh
        raviartthomasbasis.hh
        refinedlagrangebasis.hh
        restrictedbasis.hh
        nodes.hh
        subentitydofs.hh
        subspacebasis.hh
        subspacelocalview.hh
        taylorhoodbasis.hh
        transformedfiniteelementmixin.hh
        transformedindexbasis.hh
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/functions/functionspacebases)

=== dune/functions/functionspacebases/test/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file AUTHORS.md
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception OR LGPL-3.0-or-later

# tests that should build and run successfully

# Path to the example grid files in dune-grid
link_libraries(Dune::Functions)
add_definitions(-DDUNE_GRID_EXAMPLE_GRIDS_PATH=\"${DUNE_GRID_EXAMPLE_GRIDS_PATH}\")

dune_add_test(SOURCES argyristest.cc LABELS quick)

dune_add_test(SOURCES brezzidouglasmarinibasistest.cc LABELS quick)

dune_add_test(SOURCES bsplinebasistest.cc LABELS quick)

dune_add_test(SOURCES containerdescriptortest.cc LABELS quick)

dune_add_test(SOURCES cubichermitetest.cc LABELS quick)

dune_add_test(SOURCES morleytest.cc LABELS quick)

dune_add_test(SOURCES globalvaluedlfetest.cc LABELS quick)
target_compile_definitions(globalvaluedlfetest PRIVATE -DDUNE_DEPRECATED_INTERPOLATE_CHECK=1)

dune_add_test(SOURCES gridviewfunctionspacebasistest.cc LABELS quick)

dune_add_test(SOURCES lagrangebasistest.cc LABELS quick)

dune_add_test(SOURCES lagrangedgbasistest.cc LABELS quick)

dune_add_test(SOURCES lfebasistest.cc LABELS quick)

dune_add_test(SOURCES nedelecbasistest.cc LABELS quick)

dune_add_test(SOURCES periodicbasistest.cc LABELS quick)

dune_add_test(SOURCES taylorhoodbasistest.cc LABELS quick)

dune_add_test(SOURCES rannacherturekbasistest.cc LABELS quick)

dune_add_test(SOURCES raviartthomasbasistest.cc LABELS quick)

dune_add_test(SOURCES restrictedprebasistest.cc LABELS quick)

dune_add_test(SOURCES subspacebasistest.cc LABELS quick)

dune_add_test(SOURCES compositebasistest.cc LABELS quick)

dune_add_test(SOURCES makebasistest.cc LABELS quick)

dune_add_test(SOURCES hierarchicallagrangebasistest.cc LABELS quick)

dune_add_test(SOURCES hierarchicallagrangewithelementbubblebasistest.cc LABELS quick)

dune_add_test(SOURCES refinedlagrangebasistest.cc
              CMAKE_GUARD Alberta_FOUND)
add_dune_alberta_flags(refinedlagrangebasistest WORLDDIM 2)

install(
  FILES
  basistest.hh
  interpolatetest.hh
  enabledifferentiabilitycheck.hh
  testboundlocalfe.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/functions/functionspacebases/test)

=== debian/changelog ===
dune-functions (2.11.0~git20251211-1) experimental; urgency=medium

  * New upstream release (2.11.0~git20251211).
  * d/control: Depend on DUNE packages >= 2.11.0~.
  * d/patches: Refreshed patches.
  * d/control: Dropped dependency on dune-typetree.

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 05 Jan 2026 09:53:44 +0100

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,9 @@
 Homepage: https://www.dune-project.org/
 Build-Depends: debhelper-compat (= 13),
  cmake, gfortran, mpi-default-bin, mpi-default-dev, pkgconf, python3,
- libdune-localfunctions-dev (>= 2.10~),
- libdune-grid-dev (>= 2.10~),
- libdune-istl-dev (>= 2.10~),
- libdune-typetree-dev (>= 2.10~)
+ libdune-localfunctions-dev (>= 2.11.0~),
+ libdune-grid-dev (>= 2.11.0~),
+ libdune-istl-dev (>= 2.11.0~)
 Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-extra, texlive-latex-recommended, texlive-pictures
 Rules-Requires-Root: no
 
@@ -20,9 +19,8 @@
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends},
- libdune-localfunctions-dev (>= 2.10~),
- libdune-grid-dev (>= 2.10~),
- libdune-typetree-dev (>= 2.10~)
+ libdune-localfunctions-dev (>= 2.11.0~),
+ libdune-grid-dev (>= 2.11.0~),
 Suggests: libdune-functions-doc (= ${source:Version})
 Description: toolbox for solving PDEs -- interface for functions (development files)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox

## dune-functions 2.11.0+dfsg

=== dune/functions/analyticfunctions/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,7 @@
 add_subdirectory("test")
 
 install(FILES
+        monomialset.hh
         polynomial.hh
         trigonometricfunction.hh
         DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/functions/analyticfunctions)

=== dune/functions/common/CMakeLists.txt ===
--- 
+++ 
@@ -5,20 +5,25 @@
 
 install(FILES
         defaultderivativetraits.hh
+        densevectorview.hh
         differentiablefunction.hh
         differentiablefunction_imp.hh
         differentiablefunctionfromcallables.hh
         functionconcepts.hh
+        geometryinancestor.hh
         indexaccess.hh
         interfaces.hh
         localfunction.hh
         localfunction_imp.hh
+        mapperutilities.hh
         multiindex.hh
         overflowarray.hh
         polymorphicsmallobject.hh
         reserveddeque.hh
         signature.hh
+        squeezetensor.hh
         staticforloop.hh
+        subdomain.hh
         type_traits.hh
         typeerasure.hh
         utility.hh

=== dune/functions/gridfunctions/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file AUTHORS.md
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception OR LGPL-3.0-or-later

add_subdirectory("test")

install(FILES
        analyticgridviewfunction.hh
        composedgridfunction.hh
        coarsefunctiononfinegridview.hh
        discreteglobalbasisfunction.hh
        finefunctiononcoarsegridview.hh
        gridfunction.hh
        gridfunction_imp.hh
        gridviewentityset.hh
        gridviewfunction.hh
        localderivativetraits.hh
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/functions/gridfunctions)

=== dune/python/functions/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file AUTHORS.md
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception OR LGPL-3.0-or-later

set(HEADERS
  discretefunction.hh
  foreachboundarydof.hh
  globalbasis.hh
  hierarchicvectorwrapper.hh
  interpolate.hh
  subspacebasis.hh
  tree.hh
)

install(FILES ${HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/python/functions)

=== python/dune/functions/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file AUTHORS.md
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception OR LGPL-3.0-or-later

add_python_targets(functions
  __init__
  boundarydofs
  globalbasis
  subspacebasis
  tree
)

=== dune/functions/analyticfunctions/test/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file AUTHORS.md
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception OR LGPL-3.0-or-later

# tests that should build and run successfully
link_libraries(Dune::Functions)

dune_add_test(SOURCES monomialsettest.cc LABELS quick)
dune_add_test(SOURCES polynomialtest.cc LABELS quick)

=== dune/functions/backends/test/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file AUTHORS.md
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception OR LGPL-3.0-or-later

# tests that should build and run successfully
link_libraries(Dune::Functions)

dune_add_test(SOURCES containerfactorytest.cc LABELS quick)

dune_add_test(SOURCES istlvectorbackendtest.cc LABELS quick)

dune_add_test(SOURCES istlvectorfactorytest.cc LABELS quick)

=== dune/functions/common/test/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file AUTHORS.md
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception OR LGPL-3.0-or-later

# tests that should build and run successfully

link_libraries(Dune::Functions)

dune_add_test(SOURCES differentiablefunctiontest.cc LABELS quick)
dune_add_test(SOURCES polymorphicsmallobjecttest.cc LABELS quick)

=== dune/functions/gridfunctions/test/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file AUTHORS.md
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception OR LGPL-3.0-or-later

# tests that should build and run successfully
link_libraries(Dune::Functions)

dune_add_test(SOURCES analyticgridviewfunctiontest.cc LABELS quick)

dune_add_test(SOURCES coarsefinegridfunctiontest.cc LABELS quick)

dune_add_test(SOURCES composedgridfunctiontest.cc LABELS quick)

dune_add_test(SOURCES discreteglobalbasisfunctiontest.cc LABELS quick)

dune_add_test(SOURCES discreteglobalbasisfunctionderivativetest.cc LABELS quick)

dune_add_test(SOURCES facenormalgridfunctiontest.cc LABELS quick)

dune_add_test(SOURCES gridfunctiontest.cc LABELS quick)

dune_add_test(SOURCES localfunctioncopytest.cc LABELS quick)

=== debian/changelog ===
dune-functions (2.11.0+dfsg-2) unstable; urgency=medium

  * New upstream release 2.11.0
  * Moved to dfsg-clean dep-14 branch layout and added debian/gbp.conf
  * Deactivate mathjax as it breaches privacy because of cdn usage.
  * Cleanup debian/gbp.conf and activate pristine-tar.
  * Updated debian/copyright
  * d/control: Depend on DUNE packages >= 2.11.0~.
  * d/patches: Refreshed patches.
  * d/control: Dropped dependency on dune-typetree.

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 06 Feb 2026 17:11:35 +0100

dune-functions (2.11.0+dfsg-1) experimental; urgency=medium

  * New upstream release 2.11.0
  * Moved to dfsg-clean dep-14 branch layout and added debian/gbp.conf
  * Deactivate mathjax as it breaches privacy because of cdn usage.
  * Cleanup debian/gbp.conf and activate pristine-tar.

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 28 Jan 2026 20:30:37 +0100
